## GESBaseEffect GESBaseEffect — adds an effect to a stream in a GESSourceClip or a GESLayer |

## Synopsis

    #include <ges/ges.h>

                        GESBaseEffect;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESTrackElement
                         +----GESOperation
                               +----GESBaseEffect
                                     +----GESEffect

## Implemented Interfaces

GESBaseEffect implements GESExtractable and GESMetaContainer.

## Description

## Details

### GESBaseEffect

    typedef struct _GESBaseEffect GESBaseEffect;